Module | Yajl
In: | lib/yajl/bzip2/stream_reader.rb lib/yajl/bzip2/stream_writer.rb lib/yajl/gzip/stream_reader.rb lib/yajl/gzip/stream_writer.rb lib/yajl/http_stream.rb lib/yajl/deflate/stream_writer.rb lib/yajl/deflate/stream_reader.rb lib/yajl.rb ext/yajl_ext.c

Ruby Extension initializer

### Methods

dump load

### Classes and Modules

Module Yajl::Bzip2
Module Yajl::Deflate
Module Yajl::Gzip
Module Yajl::Stream
Class Yajl::EncodeError
Class Yajl::Encoder
Class Yajl::HttpStream
Class Yajl::ParseError
Class Yajl::Parser

### Constants

VERSION | = | "0.7.7"

### Public Class methods

dump(obj, *args, &block)

For compatibility, has the same signature of Yajl::Encoder.encode

load(str_or_io, options={}, read_bufsize=nil, &block)

For compatibility, has the same signature of Yajl::Parser.parse

[Validate]